summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAgostino Sarubbo <ago@gentoo.org>2020-09-02 11:05:15 +0200
committerAgostino Sarubbo <ago@gentoo.org>2020-09-02 11:05:15 +0200
commitc48e500e4d6e064bba54ab8ce845ad323b2e5b27 (patch)
tree33fefb712fccb6035c5cfe1d392d0de374e97be4 /app-admin
parentapp-admin/hcloud: version bump to 1.19.1 (diff)
downloadgentoo-c48e500e4d6e064bba54ab8ce845ad323b2e5b27.tar.gz
gentoo-c48e500e4d6e064bba54ab8ce845ad323b2e5b27.tar.bz2
gentoo-c48e500e4d6e064bba54ab8ce845ad323b2e5b27.zip
app-admin/exo: version bump to 1.16.1
Package-Manager: Portage-2.3.103, Repoman-2.3.23 Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Diffstat (limited to 'app-admin')
-rw-r--r--app-admin/exo/Manifest1
-rw-r--r--app-admin/exo/exo-1.16.1.ebuild36
2 files changed, 37 insertions, 0 deletions
diff --git a/app-admin/exo/Manifest b/app-admin/exo/Manifest
index ca224e3340b..522247a8df0 100644
--- a/app-admin/exo/Manifest
+++ b/app-admin/exo/Manifest
@@ -1,2 +1,3 @@
DIST exo-1.15.0.tar.gz 4267440 BLAKE2B 5b5f38df929c538528084ecae8ae73f2c2486b2a3ad45c7c4ba55021680912490c90d820c72ac1e858caf023382b2de3a573a6e7f096b3b84abf3da237a3bca0 SHA512 d42887a24de2385acc7e66daab0c51b413304fd96589755874716702747aaea74ea0f080e334f2a4ebcf8b6c6699257f6e36e5ddf9acf9c7aca2693555edbfb2
DIST exo-1.16.0.tar.gz 4245980 BLAKE2B 3215d001b6c0864e2798e34976e6c7c67c9e4457729a149280721d7cc00c648c273fc2bfd03d6678aad1ac7217d0d3a22dd6c53fcf7822c19410bb556a5d41f9 SHA512 ce75261e09f906030a2fbe7aae2f9aaa2bf631db0f6c8876f9e7baba6622026d2d127a6935fa5dfb9c1bffb4953eb0a7149c345a4eb9b9423e52047588442e74
+DIST exo-1.16.1.tar.gz 4247537 BLAKE2B e7990c51abec26ee486fa3ed08af168f2dc2ae5747cc8770d9bca2baeb151caa8075c903c742c3a19431587e483e1ec324ae46b95bdf71901f5e5cb4baac2f57 SHA512 63caf78a3c79d47dac956b3b35d0e84e86782f6d2c3bb57c2435dc457c91dab26cb5754fdd41bff80c5a336c81031d138a88519a38fb639b511b6692066d8d90
diff --git a/app-admin/exo/exo-1.16.1.ebuild b/app-admin/exo/exo-1.16.1.ebuild
new file mode 100644
index 00000000000..0c2c8d861fe
--- /dev/null
+++ b/app-admin/exo/exo-1.16.1.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Command-line tool for everything at Exoscale: compute, storage, dns."
+HOMEPAGE="https://github.com/exoscale/cli"
+SRC_URI="https://github.com/exoscale/cli/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+IUSE=""
+DEPEND="dev-lang/go:="
+RESTRICT="strip"
+QA_FLAGS_IGNORED=".*"
+
+S="${WORKDIR}/cli-${PV}"
+
+src_compile() {
+ go build -mod vendor -o ${PN} || die "build failed"
+}
+
+src_test() {
+ # run at least 'exo version' for test
+ ./exo version > /dev/null 2>&1
+ if [[ $? -ne 0 ]]
+ then
+ die "Test failed"
+ fi
+}
+
+src_install() {
+ dobin ${PN}
+}